PHP 手冊
前一頁 |  | 下一頁

# gzgetss

(PHP 3, PHP 4 , PHP 5)

gzgetss -- Get line from gz-file pointer and strip HTML tags

## Description

string gzgetss ( resource zp, int length [, string allowable_tags] )

Identical to gzgets(), except that gzgetss() attempts to strip any HTML and PHP tags from the text it reads.

## Parameters

zp

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

length

  The length of data to get.

allowable_tags

  You can use this optional parameter to specify tags which should not be stripped.

## Return Values

The uncompressed and striped string, or `FALSE` on error.

## ChangeLog

Version | Description
--- | ---
3.0.13 and 4.0b3 | allowable_tags was added.

## 參考

gzopen()
gzgets()
strip_tags()

前一頁 | 內容 | 下一頁
gzgets | 上一層 | gzinflate